Name:		bgphist
Version:	0.0.2
Release:	2.3
Url:		http://sourceforge.net/projects/bgphist/
License:	Public Domain
Summary:	BGPHist stores MP-BGP updates activity and history into a database
Group:		Productivity/Networking/Routing
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gcc-c++ sed
BuildRequires:	mysql-devel pcre-devel

%description
BGPHist is a tool that able to get MP-BGP updates, decode it, and write to the backend storage for logging and monitoring purposes.
It support not only internet routes, but IPv4 VPN, IPV6 VPN, L2VPN.
Backend storages supported - text output, MySQL database and Oracle database.
For MySql backend there is also a simple PHP frontend.
Possible usages:
1. Monitor and log ISP's customers activity for Internet and VPNs.
2. Use as a passive BGP looking glass for all possible VPNs and Internet.
3. Backend for some external monitoring and accounting system.

BGPHist should be connected to the BGP route reflector as a client to get all routing updates.
It does not have code to generate BGP update messages, it's only a listener.

%prep
%setup -n %{name}

%build
%configure --with-mysql=%{_libdir}/mysql
%__make

%install
##%__make DESTDIR=%{buildroot} install
%__install -D -m0755 %{name} %{buildroot}%{_sbindir}/%{name}
sed -i s@"/usr/local/bin/perl"@"/usr/bin/perl"@ contrib/mysql/*.pl
chmod -x contrib/mysql/*.pl
%__install -d -m0755 %{buildroot}%{_datadir}/%{name}
%__install -m0644 contrib/php/* %{buildroot}%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc contrib/mysql/*
%doc Changes INSTALL README rfcs.txt
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Thu Aug  8 2013 cs@linux-administrator.com
- initial package build
